Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1201788 - Review request: nodejs-npm-cache-filename - Return NPM cache folder
Summary: Review request: nodejs-npm-cache-filename - Return NPM cache folder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:00 UTC by Zuzana Svetlikova
Modified: 2015-06-09 15:21 UTC (History)
3 users (show)

Fixed In Version: nodejs-npm-cache-filename-1.0.1-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:06:27 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-03-13 14:00:24 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-npm-chache-filename/nodejs-npm-cache-filename.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-npm-chache-filename/nodejs-npm-cache-filename-1.0.1-4.fc23.src.rpm
Description: Given a cache folder and url, return the appropriate cache folder.
Fedora Account System Username: zvetlik

Comment 1 Piotr Popieluch 2015-03-20 15:58:17 UTC
Looks good, APPROVED

Please notice that the spec file in the SRPM differs from the SPEC file in the URL. Remeber to rebuild the package with correct specfile before doing fedpkg import.





===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/piotr/fedora-scm/1201788-nodejs-npm-cache-
     filename/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-npm-cache-filename-1.0.1-4.fc23.noarch.rpm
          nodejs-npm-cache-filename-1.0.1-4.fc23.src.rpm
nodejs-npm-cache-filename.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
nodejs-npm-cache-filename.noarch: W: only-non-binary-in-usr-lib
nodejs-npm-cache-filename.src: W: spelling-error %description -l en_US url -> URL, curl, purl
nodejs-npm-cache-filename.src:51: W: macro-in-%changelog %defattr
nodejs-npm-cache-filename.src:51: W: macro-in-%changelog %check
nodejs-npm-cache-filename.src:51: W: macro-in-%changelog %license
nodejs-npm-cache-filename.src:51: W: macro-in-%changelog %nodejs_symlink_deps
nodejs-npm-cache-filename.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 15)
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Diff spec file in url and in SRPM
---------------------------------
--- /home/piotr/fedora-scm/1201788-nodejs-npm-cache-filename/srpm/nodejs-npm-cache-filename.spec	2015-03-20 16:23:51.043822127 +0100
+++ /home/piotr/fedora-scm/1201788-nodejs-npm-cache-filename/srpm-unpacked/nodejs-npm-cache-filename.spec	2015-03-13 14:54:02.000000000 +0100
@@ -49,7 +49,5 @@
 %changelog
 * Fri Mar 13 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.1-4
-- Removed Group, BuildRoot and %%defattr
-- changed ExclusiveArch
-- added %%check, %%license and %%nodejs_symlink_deps macros and nodejs-packaging dependency
+- Removed Group, BuildRoot and %defattr, changed ExclusiveArch, added %check, %license and %nodejs_symlink_deps macros and nodejs-packaging dependency
 
 * Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.1-3


Requires
--------
nodejs-npm-cache-filename (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-npm-cache-filename:
    nodejs-npm-cache-filename
    npm(npm-cache-filename)



Source checksums
----------------
http://registry.npmjs.org/npm-cache-filename/-/npm-cache-filename-1.0.1.tgz :
  CHECKSUM(SHA256) this package     : 9fc6f95ad38a53ac069bbf04d5b80ef9ab5f4c8b6c78ba0e23f84e29084278bc
  CHECKSUM(SHA256) upstream package : 9fc6f95ad38a53ac069bbf04d5b80ef9ab5f4c8b6c78ba0e23f84e29084278bc


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1201788
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Zuzana Svetlikova 2015-03-21 00:59:42 UTC
New Package SCM Request
=======================
Package Name: nodejs-npm-chache-filename
Short Description: Return NPM cache folder
Upstream URL: https://github.com/npm/npm-cache-filename
Owners: zvetlik humaton
Branches: f20 f21 f22
InitialCC: humaton

Comment 3 Gwyn Ciesla 2015-03-21 16:44:59 UTC
WARNING: Requested package name nodejs-npm-chache-filename doesn't match bug
summary nodejs-npm-cache-filename

Comment 4 Zuzana Svetlikova 2015-03-21 23:16:20 UTC
Sorry for typo

New Package SCM Request
=======================
Package Name: nodejs-npm-cache-filename
Short Description: Return NPM cache folder
Upstream URL: https://github.com/npm/npm-cache-filename
Owners: zvetlik humaton
Branches: f20 f21 f22
InitialCC: humaton

Comment 5 Gwyn Ciesla 2015-03-23 13:32:43 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-05-28 11:42:25 UTC
nodejs-npm-cache-filename-1.0.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-npm-cache-filename-1.0.1-5.fc20

Comment 7 Fedora Update System 2015-05-28 11:57:36 UTC
nodejs-npm-cache-filename-1.0.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-npm-cache-filename-1.0.1-5.fc21

Comment 8 Fedora Update System 2015-05-28 12:04:32 UTC
nodejs-npm-cache-filename-1.0.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-npm-cache-filename-1.0.1-5.fc22

Comment 9 Fedora Update System 2015-05-30 15:35:02 UTC
nodejs-npm-cache-filename-1.0.1-5.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-06-09 15:06:27 UTC
nodejs-npm-cache-filename-1.0.1-5.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-06-09 15:07:13 UTC
nodejs-npm-cache-filename-1.0.1-5.fc22 has been pushed to the Fedora 22 stable repository.

Comment 12 Fedora Update System 2015-06-09 15:21:45 UTC
nodejs-npm-cache-filename-1.0.1-5.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.